## aha 0.4.3

=== debian/changelog ===
aha (0.4.3-1) unstable; urgency=low

  * New upstream version
    + Fixes typo in man page (Closes: #624233)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 11 May 2011 23:23:28 +0200

aha (0.4.2-1) unstable; urgency=low

  * New upstream version
    + Incudes man page (→ debian/aha.manpages)
  * Better description (Closes: #615913)

 -- Axel Beckert <abe@debian.org>  Wed, 16 Mar 2011 02:04:29 +0100

aha (0.4-1) unstable; urgency=low

  * Initial release (Closes: #605380)

 -- Axel Beckert <abe@debian.org>  Sun, 26 Dec 2010 04:21:17 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -f aha

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/aha.
	install -d $(CURDIR)/debian/aha/usr/bin/
	install aha $(CURDIR)/debian/aha/usr/bin/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## aha 0.4.4

=== Makefile ===
all: aha

aha: aha.c
	gcc -std=c99 aha.c -o aha

=== debian/changelog ===
aha (0.4.4-1) unstable; urgency=low

  * New upstream release
    + Fixes issues with underlined and inverse text
  * Fix lintian warning helper-templates-in-copyright
  * Fix lintian warning debian-rules-missing-recommended-target

 -- Axel Beckert <abe@debian.org>  Wed, 31 Aug 2011 23:17:58 +0200

=== debian/control ===
Source: aha
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://ziz.delphigl.com/tool_aha.php
Vcs-Git: git://git.debian.org/collab-maint/aha.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/aha.git;a=summary

Package: aha
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ANSI color to HTML converter
 aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you
 want to publish the output of ls --color=yes, git diff, ccal or htop
 as static HTML somewhere.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp  
 	dh_testdir

=== debian/watch ===
version=3
http://ziz.delphigl.com/tool_aha.php (?:./)?data/aha(?:-src)?-(.*).tar.gz

## aha 0.4.6.1

=== Makefile ===
all: aha

aha: aha.c
	gcc -std=c99 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o aha

clean:
	rm aha

=== debian/changelog ===
aha (0.4.6.1-1) unstable; urgency=low

  * New upstream release
    + Drop all existing patches, applied upstream
    + Patch clean target so it doesn't fail if there's nothing to clean
  * Change homepage to point to GitHub
  * Use githubredir.debian.net instead of github itself in watch file

 -- Axel Beckert <abe@debian.org>  Sun, 14 Jul 2013 19:05:24 +0200

aha (0.4.6-2) unstable; urgency=low

  * Upload to unstable again
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build dependency
  * Revamp debian/rules:
    - Use debian/clean instead of calling rm explicitly
    - No more remove stamp files manually, dh_clean does that already
    - Use dh_auto_build and remove inclusion of buildflags.mk
    - Finally switch to a dh7 style debian/rules file
  * Fix lintian warning vcs-field-not-canonical
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Mon, 20 May 2013 20:15:57 +0200

aha (0.4.6-1) experimental; urgency=low

  * New upstream release
  * Update watch file to also look at GitHub
  * Enable hardening build flags
    - Cherry-pick bf5ed98 (Honor common compiler and linker flags) from
      upstream
    - Add build-dependency on dpkg-dev (>= 1.16.1~)
  * Add patch to fix several hyphen-used-as-minus-sign issues
  * Explicitly refer to LGPL version (or later) in debian/copyright as
    stated by upstream on IRC. Fixes lintian warning
    copyright-refers-to-symlink-license.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Add full text of MPL 1.1 to debian/control
  * Update copyright years in debian/control
  * Fix typo in 0.4.2-1 changelog entry

 -- Axel Beckert <abe@debian.org>  Wed, 01 Aug 2012 18:29:25 +0200

=== debian/control ===
Source: aha
Section: utils
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: https://github.com/theZiz/aha
Vcs-Git: git://anonscm.debian.org/collab-maint/aha.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aha.git

Package: aha
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ANSI color to HTML converter
 aha (ANSI HTML Adapter) converts ANSI colors to HTML, e.g. if you
 want to publish the output of ls --color=yes, git diff, ccal or htop
 as static HTML somewhere.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	install -d $(CURDIR)/debian/aha/usr/bin/
	install aha $(CURDIR)/debian/aha/usr/bin/

=== debian/watch ===
version=3
http://githubredir.debian.net/github/theZiz/aha .*/([0-9.]+)\.tar\.gz
http://ziz.delphigl.com/tool_aha.php (?:./)?data/aha(?:-src)?-(.*).tar.gz

## aha 0.4.7.2

=== debian/changelog ===
aha (0.4.7.2-1) unstable; urgency=medium

  * New upstream release
    + Drop sole patch. Merged upstream.

 -- Axel Beckert <abe@debian.org>  Tue, 10 Jun 2014 21:44:59 +0200

aha (0.4.7.1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed clean-target-should-not-fail-if-there-is-nothing-to-clean.patch
    + Update override for dh_auto_install (upstream has an install target now,
      but with issues)
  * Comment out original, currently not reachable homepage in watch file
  * Remove empty debian/docs
  * Bump Standards-Version to 3.9.5 (no changes)

 -- Axel Beckert <abe@debian.org>  Sat, 31 May 2014 13:50:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/theZiz/aha
 Vcs-Git: git://anonscm.debian.org/collab-maint/aha.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aha.git

=== debian/watch ===
version=3
http://githubredir.debian.net/github/theZiz/aha .*/([0-9.]+)\.tar\.gz
#http://ziz.delphigl.com/tool_aha.php (?:./)?data/aha(?:-src)?-(.*).tar.gz

## aha 0.4.8

=== Makefile ===
.PHONY: all clean install

ifndef PREFIX
    PREFIX=/usr/local
endif

BIN:=$(DESTDIR)$(PREFIX)/bin
MAN:=$(DESTDIR)$(PREFIX)/man/man1

all: aha

aha: aha.c
	gcc -std=c99 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o aha

clean:
	rm -f aha

install: aha
	install -d $(BIN)
	install aha $(BIN)
	install -d $(MAN)
	install aha.1 $(MAN)

=== debian/changelog ===
aha (0.4.8-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Standards-Version 3.9.6 (no changes needed)
  * Update debian/watch to use and debian/copyright to list
    https://github.com/theZiz/aha/releases
  * Convert debian/copyright to machine-readable DEP5 format.

 -- Axel Beckert <abe@debian.org>  Sun, 26 Apr 2015 01:44:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/theZiz/aha
 Vcs-Git: git://anonscm.debian.org/collab-maint/aha.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aha.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MAN=debian/aha/usr/share/man/man1

## aha 0.4.9

=== debian/changelog ===
aha (0.4.9-1) unstable; urgency=medium

  * New upstream release
    + Use $(MANDIR) instead of $(MAN) to install man page into the proper
      directory.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Use HTTPS in both Vcs-* headers and switch Vcs-Browser to cgit.
  * Use https:// instead of http:// in debian/copyright where applicable.
    Issues reported by DUCK.
  * Enable all hardening flags.
  * Remove redundant debian/aha.manpages. Upstream installs man page
    automatically for a while now.

 -- Axel Beckert <abe@debian.org>  Thu, 21 Jul 2016 17:11:01 +0200

## aha 0.4.10.3

=== Makefile ===
.PHONY: all clean install

PREFIX?=/usr/local

MANDIR?=man
BINMODE?=0755
MANMODE?=644

all: aha

aha: aha.c
	$(CC) -std=c99 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o aha

clean:
	rm -f aha

install: aha
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m $(BINMODE) aha $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
	install -m $(MANMODE) aha.1 $(DESTDIR)$(PREFIX)/$(MANDIR)/man1

=== debian/changelog ===
aha (0.4.10.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add debian/upstream/metadata.

 -- Axel Beckert <abe@debian.org>  Tue, 22 Nov 2016 01:39:27 +0100

aha (0.4.10.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Axel Beckert <abe@debian.org>  Sun, 23 Oct 2016 15:46:21 +0200

aha (0.4.10-1) unstable; urgency=medium

  * New upstream release.
    + Update copyright years and upstream e-mail address in
      debian/copyright.
  * Add /debhelper-build-stamp to debian/.gitignore.

 -- Axel Beckert <abe@debian.org>  Wed, 12 Oct 2016 00:42:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/theZiz/aha
-Vcs-Git: git://anonscm.debian.org/collab-maint/aha.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aha.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/aha.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aha.git
 
 Package: aha
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=share/man

## aha 0.4.10.6

=== Makefile ===
.PHONY: all clean install

PREFIX?=/usr/local

DATAROOTDIR?=$(PREFIX)/share
MANDIR?=$(DATAROOTDIR)/man

BINMODE?=0755
MANMODE?=644

all: aha

aha: aha.c
	$(CC) -std=c99 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o aha

clean:
	rm -f aha

install: aha
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m $(BINMODE) aha $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m $(MANMODE) aha.1 $(DESTDIR)$(MANDIR)/man1

=== debian/changelog ===
aha (0.4.10.6-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.
  * Set "Rules-Requires-Root: no".
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Oct 2017 20:43:50 +0200

aha (0.4.10.6-3) unstable; urgency=medium

  * No more explicitly list full MPL text, now included in
    /usr/share/common-licenses/.

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 00:39:33 +0200

aha (0.4.10.6-2) unstable; urgency=medium

  * Upload to unstable again.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 00:17:30 +0200

aha (0.4.10.6-1) experimental; urgency=medium

  * New upstream release.
    + debian/rules: Drop setting MANDIR explicitly: No more needed.

 -- Axel Beckert <abe@debian.org>  Thu, 13 Apr 2017 00:39:56 +0200

aha (0.4.10.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Mar 2017 00:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: aha
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/theZiz/aha
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/aha.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aha.git
+Rules-Requires-Root: no
 
 Package: aha
 Architecture: any

=== debian/watch ===
version=3
https://github.com/theZiz/aha/releases /theZiz/aha/archive/([0-9.]+).tar.gz

## aha 0.5

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 BINMODE?=0755
 MANMODE?=644
+
+CFLAGS += -Wall -Wextra
 
 all: aha

=== debian/changelog ===
aha (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* headers for move to Salsa.
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)
  * Remove trailing blank line from debian/changelog.
  * Bump debhelper compatibility to 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 13 Nov 2018 04:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/theZiz/aha
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/aha.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aha.git
+Vcs-Git: https://salsa.debian.org/debian/aha.git
+Vcs-Browser: https://salsa.debian.org/debian/aha
 Rules-Requires-Root: no
 
 Package: aha

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh $@
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=share/man
+	dh_auto_install -- PREFIX=/usr

## aha 0.5.1

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 BINMODE?=0755
 MANMODE?=644
 
-CFLAGS += -Wall -Wextra
+CFLAGS += -std=c99 -Wall -Wextra
 
 all: aha
 
 aha: aha.c
-	$(CC) -std=c99 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o aha
+	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) aha.c -o $@
 
 clean:
 	rm -f aha

=== debian/changelog ===
aha (0.5.1-2) unstable; urgency=medium

  * Fix debian/watch for changed paths in Github's web interface.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 25 Aug 2021 01:05:09 +0200

aha (0.5.1-1) unstable; urgency=medium

  * Import upstream version 0.5.1.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Bump debian/watch version to 4.
  * Bump copyright years in debian/watch.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Nov 2020 08:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/theZiz/aha
 Vcs-Git: https://salsa.debian.org/debian/aha.git
 Vcs-Browser: https://salsa.debian.org/debian/aha

=== debian/watch ===
version=4
https://github.com/theZiz/aha/releases /theZiz/aha/archive/refs/tags/([0-9.]+).tar.gz
